Viewing 6 posts - 1 through 6 (of 6 total)
  • Author
    Posts
  • #34732

    When I click the link to download Tails, a message comes up saying “Can’t connect securely to this page. This may be because the site uses outdated or unsafe TLS security settings.” So what can I do to download Tails?

    #34782

    It is really hard for me to debug you issue this way. Please take a screenshot of the error message and post it here.

    Thank you.

    #34798
    #34916

    Kindly try clearing your browsing history, cache and see if you get positive result.

    #34923

    I tried following your advice. Unfortunately, it would appear that clearing the browsing history and cache doesn’t solve the problem. So, is there anything else that I could do?

    #34981

    Can you try using a vpn service?

Viewing 6 posts - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.